org.bdgenomics.adam.rdd

# GenomicPositionPartitioner

#### case class GenomicPositionPartitioner(numParts: Int, seqLengths: Map[String, Long]) extends Partitioner with Logging with Product with Serializable

GenomicPositionPartitioner partitions ReferencePosition objects into separate, spatially-coherent regions of the genome.

This can be used to organize genomic data for computation that is spatially distributed (e.g. GATK and Queue's "scatter-and-gather" for locus-parallelizable walkers).

numParts

  The number of equally-sized regions into which the total genomic space is partitioned; the total number of partitions is numParts + 1, with the "+1" resulting from one extra partition that is used to capture null or UNMAPPED values of the ReferencePosition type.

seqLengths

  a map relating sequence-name to length and indicating the set and length of all extant sequences in the genome.

Linear Supertypes
Product, Equals, Logging, Partitioner, Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. GenomicPositionPartitioner
2. Product
3. Equals
4. Logging
5. Partitioner
6. Serializable
7. Serializable
8. AnyRef
9. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new GenomicPositionPartitioner(numParts: Int, seqLengths: Map[String, Long])

   numParts

     The number of equally-sized regions into which the total genomic space is partitioned; the total number of partitions is numParts + 1, with the "+1" resulting from one extra partition that is used to capture null or UNMAPPED values of the ReferencePosition type.

   seqLengths

     a map relating sequence-name to length and indicating the set and length of all extant sequences in the genome.

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### val cumulativeLengths: Map[String, Long]

9. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

10. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

11. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

12. #### def getPartition(key: Any): Int

    Definition Classes
      GenomicPositionPartitioner → Partitioner

13. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

14. #### def isTraceEnabled(): Boolean

    Attributes
      protected
    Definition Classes
      Logging

15. #### val lengths: Seq[Long]

16. #### def log: Logger

    Attributes
      protected
    Definition Classes
      Logging

17. #### def logDebug(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

18. #### def logDebug(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

19. #### def logError(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

20. #### def logError(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

21. #### def logInfo(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

22. #### def logInfo(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

23. #### def logName: String

    Attributes
      protected
    Definition Classes
      Logging

24. #### def logTrace(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

25. #### def logTrace(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

26. #### def logWarning(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

27. #### def logWarning(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

28. #### val names: Seq[String]

29. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

30. #### final def notify(): Unit

    Definition Classes
      AnyRef

31. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

32. #### def numPartitions: Int

    Definition Classes
      GenomicPositionPartitioner → Partitioner

33. #### val numParts: Int

    The number of equally-sized regions into which the total genomic space is partitioned; the total number of partitions is numParts + 1, with the "+1" resulting from one extra partition that is used to capture null or UNMAPPED values of the ReferencePosition type.

34. #### val seqLengths: Map[String, Long]

    a map relating sequence-name to length and indicating the set and length of all extant sequences in the genome.

35. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

36. #### def toString(): String

    Definition Classes
      GenomicPositionPartitioner → AnyRef → Any

37. #### val totalLength: Long

38. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

39. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

40. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Product

### Inherited from Equals

### Inherited from Logging

### Inherited from Partitioner

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped